Devuan bug report logs - #245
Qmake can't run.

Package: qtchooser; Reported by: =?UTF-8?B?zpPOuc+Oz4HOs86/z4IgzprPic+Dz4TPjM+Azr/Phc67zr/Pgg==?= <giorgosk67@gmail.com>;
Date: Tue, 25 Sep 2018 05:03:01 UTC;
Maintainer for qtchooser is (unknown).

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#245; Package qtchooser. Full text available.



Acknowledgement sent to =?UTF-8?B?zpPOuc+Oz4HOs86/z4IgzprPic+Dz4TPjM+Azr/Phc67zr/Pgg==?= <giorgosk67@gmail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. Full text available.



Message received at submit@bugs.devuan.org:

From: =?UTF-8?B?zpPOuc+Oz4HOs86/z4IgzprPic+Dz4TPjM+Azr/Phc67zr/Pgg==?= <giorgosk67@gmail.com>
Date: Tue, 25 Sep 2018 07:44:41 +0300
Subject: Qmake can't run.
To: submit@bugs.devuan.org

Package: qtchooser
Version: 63-g13a3d08-1

On ASCII x64 KDE.

Trying to run qmake, returns:
>qmake
qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No
such file or directory
>

Seems to be a common problem and you can find several sugestion on the net.
My own preference is the one with update-alternatives.
(As root):
#update-alternatives --install /usr/bin/qmake qmake
/usr/lib/x86_64-linux-gnu/qt5/bin/qmake 100
update-alternatives: using /usr/lib/x86_64-linux-gnu/qt5/bin/qmake to
provide /usr/bin/qmake (qmake) in auto mode
#

Then everything works:
>qmake -v
QMake version 3.0
Using Qt version 5.7.1 in /usr/lib/x86_64-linux-gnu
>


I'm filing this report, because I think that qmake, should work out of
the box (without any need for a prior configuration with
update-alternatives).





Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue, 11 Dec 2018 09:47:11 UTC